"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const readline = __importStar(require("readline"));
const userInput_1 = require("../../../src/utils/userInput");
// Mock the readline module
jest.mock('readline', () => ({
    createInterface: jest.fn().mockReturnValue({
        question: jest.fn((question, callback) => callback('mocked answer')),
        close: jest.fn(),
    }),
}));
describe('getUserInput', () => {
    it('should prompt the user and return their input', async () => {
        // Setup
        const promptMessage = 'Enter your name:';
        // Execute
        const result = await (0, userInput_1.getUserInput)(promptMessage);
        // Verify
        expect(readline.createInterface).toHaveBeenCalledWith({
            input: process.stdin,
            output: process.stdout,
        });
        const mockInterface = readline.createInterface({});
        expect(mockInterface.question).toHaveBeenCalledWith(promptMessage, expect.any(Function));
        expect(mockInterface.close).toHaveBeenCalled();
        expect(result).toBe('mocked answer');
    });
});
//# sourceMappingURL=userInput.test.js.map